---
title: "Live Google Finance Ticker Search Advanced"
url: "https://docs.dataforseo.com/v3/serp/google/finance_ticker_search/live/advanced/"
date: "2026-06-06"
---

## Live Google Finance Ticker Search Advanced

  
Live Google Finance Ticker Search allows you to search for financial instruments available on Google Finance along with additional information. The result is specific to the parameters you specify in the request: keyword (name of a company or financial instrument) in the `keyword` field, `location` and `language`.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/google/finance\_ticker\_search/live/advanced     

      

Pricing

 Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-finance-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

| Field name | Type | Description |
|---|---|---|
| `keyword` | string | *company or financial instrument name*  **required field**  in this field, you can enter the name of a company or financial instrument to search for relevant tickers;  you can specify **up to 700 characters** in the `keyword` field;  all %## will be decoded (plus character ‘+’ will be decoded to a space character)  if you need to use the “%” character for your `keyword`, please specify it as “%25”;  if you need to use the “+” character for your `keyword`, please specify it as “%2B”;     learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `location_code` | integer | *search engine location code*  **required field if you don't specify `location_name`**  **if you use this field, you don't need to specify `location_name`**  you can receive the list of available locations of the search engines with their `location_code` by making a separate request to `https://api.dataforseo.com/v3/serp/google/locations`  example:  `2840` |
| `language_code` | string | *search engine language code*  **required field if you don't specify `language_name`**  **if you use this field, you don't need to specify `language_name`**  you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`example:`en` |



  
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
Additional Parameters| Field name | Type | Description |
|---|---|---|
| `location_name` | string | *full name of search engine location*  **required field if you don't specify `location_code`**  **if you use this field, you don't need to specify `location_code`**  you can receive the list of available locations of the search engine with their `location_name` by making a separate request to `https://api.dataforseo.com/v3/serp/google/locations`  example:  `London,England,United Kingdom` |
| `language_name` | string | *full name of search engine language*  **required field if you don't specify `language_code`**  **if you use this field, you don't need to specify `language_code`**  you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`  example:  `English` |
| `tag` | string | *user-defined task identifier*  optional field  *the character limit is 255*  you can use this parameter to identify the task and match it with the result  you will find the specified `tag` value in the `data` object of the response |
| `category` | string | *category of financial instruments to search for*  optional field  possible values: `all`, `stock`, `index`, `mutual_fund`, `currency`, `futures`  default value: `all` |



  
  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks. **Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array*   **the keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type*   in this case, equals `finance_ticker_search` |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | string | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results*   you can use it to make sure that we provided accurate results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection |
| `refinement_chips` | object | *search refinement chips*   in this case, the value will be `null` |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP;   possible item types: [`google_finance_market_index`](#google_finance_market_index), [`google_finance_asset_pair`](#google_finance_asset_pair), [`google_finance_market_instrument`](#google_finance_market_instrument) |
| `se_results_count` | integer | *total number of results in SERP* |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *items of search results found in SERP*   array of items containing market indexes data;   possible `type` of items: `google_finance_market_index`, `google_finance_asset_pair`, `google_finance_market_instrument` |
| **<a name="google_finance_market_index">google\_finance\_market\_index item in SERP</a>** |  |  |
| `type` | string | *type of item = **‘google\_finance\_market\_index’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| **<a name="google_finance_asset_pair">google\_finance\_asset\_pair item in SERP</a>** |  |  |
| `type` | string | *type of item = **‘google\_finance\_asset\_pair’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| **<a name="google_finance_market_instrument">google\_finance\_market\_instrument item in SERP</a>** |  |  |
| `type` | string | *type of item = **‘google\_finance\_market\_instrument’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/finance_ticker_search/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
  {
    "language_name": "English",
    "location_code": 2840,
    "category": "all",
    "keyword": "DJ"
  }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
    // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
    $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
    exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
    "keyword" => "DJ",
    "location_code" => 2840,
    "language_name" => "English"
);
try {
    // POST /v3/serp/google/finance_ticker_search/live/advanced
    // in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/serp/google/finance_ticker_search/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/finance_ticker_search/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword" => "DJ",
        "location_code" => 2840,
        "language_name" => "English"
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
keyword="DJ",
location_code=2840,
language_name="English"
)
# POST /v3/serp/google/finance_ticker_search/live/advanced
# in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/finance_ticker_search/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                keyword="DJ",
                location_code=2840,
                language_name="English"
            });
            // POST /v3/serp/google/finance_ticker_search/live/advanced 
            // in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/finance_ticker_search/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20241227",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "1.7881 sec.",
  "cost": 0.002,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "03121330-1535-0139-0000-a788a54c7160",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "1.6918 sec.",
      "cost": 0.002,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "finance_ticker_search",
        "live",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "finance_ticker_search",
        "language_name": "English",
        "location_code": 2840,
        "category": "all",
        "keyword": "DJ",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "DJ",
          "type": "finance_ticker_search",
          "se_domain": "google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": null,
          "datetime": "2025-03-12 11:30:16 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "google_finance_market_index",
            "google_finance_market_instrument"
          ],
          "se_results_count": 0,
          "items_count": 4,
          "items": [
            {
              "type": "google_finance_market_index",
              "rank_group": 1,
              "rank_absolute": 1,
              "ticker": ".DJI",
              "market_identifier": "INDEXDJX",
              "index_value": 41433.48,
              "index_value_delta": -478.23047,
              "identifier": ".DJI:INDEXDJX",
              "displayed_name": "Dow Jones Industrial Average",
              "url": "https://google.com/finance/quote/.DJI:INDEXDJX?hl=en&gl=us",
              "location": "America/New_York",
              "trend": "down",
              "timestamp": "2025-03-11 20:50:57 +00:00",
              "percentage_delta": -1.1410426
            },
            {
              "type": "google_finance_asset_pair",
              "rank_group": 1,
              "rank_absolute": 1,
              "base_symbol": "BTC",
              "quote_symbol": "USD",
              "base_display_name": "Bitcoin",
              "quote_display_name": "United States Dollar",
              "price": 82953.29000000001,
              "price_delta": 56.56,
              "identifier": "BTC-USD",
              "displayed_name": "Bitcoin (BTC / USD)",
              "url": "https://google.com/finance/quote/BTC-USD?hl=en&gl=us",
              "location": null,
              "trend": "up",
              "timestamp": "2025-03-12 11:33:58 +00:00",
              "percentage_delta": 0.06822947
            },
            {
              "type": "google_finance_market_instrument",
              "rank_group": 1,
              "rank_absolute": 2,
              "ticker": "DJT",
              "price": 19.57,
              "price_delta": -0.35000038,
              "price_currency": "USD",
              "identifier": "DJT:NASDAQ",
              "displayed_name": "Trump Media & Technology Group Corp",
              "url": "https://google.com/finance/quote/DJT:NASDAQ?hl=en&gl=us",
              "location": "America/New_York",
              "trend": "down",
              "timestamp": "2025-03-12 11:28:23 +00:00",
              "percentage_delta": -1.75703
            },
            {
              "type": "google_finance_market_index",
              "rank_group": 3,
              "rank_absolute": 4,
              "ticker": "DJU",
              "market_identifier": "INDEXDJX",
              "index_value": 990.79,
              "index_value_delta": -12.960022,
              "identifier": "DJU:INDEXDJX",
              "displayed_name": "Dow Jones Utility Average",
              "url": "https://google.com/finance/quote/DJU:INDEXDJX?hl=en&gl=us",
              "location": "America/New_York",
              "trend": "down",
              "timestamp": "2025-03-11 20:50:57 +00:00",
              "percentage_delta": -1.2911603
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp